require(effects)

#copy data from 'multipleReg_input.xlsx' to clipboard
f2dat<-read.table(pipe("pbpaste"),header=TRUE)

mod.break<-lm(breakdown~Fst+haversine+thetawMP+MahalanobisD)

summary(mod.break)

## generate effect plots of each predictor

effect.fst<-effect('Fst', mod.break, residual=TRUE)

plot(effect.fst,  smooth.residuals=FALSE, residuals.color='black', residuals.cex=3)

effect.watt<-effect('thetawMP', mod.break, residual=TRUE)

plot(effect.watt,  smooth.residuals=FALSE, residuals.color='black', residuals.cex=3)

effect.dist<-effect('Haversine', mod.break, residual=TRUE)

plot(effect.dist,  smooth.residuals=FALSE, residuals.color='black', residuals.cex=3)


effect.mah<-effect('MahalanobisD', mod.break, residual=TRUE)

> plot(effect.mah,  smooth.residuals=FALSE, residuals.color='black', residuals.cex=2.5, ylim=c(-0.5,0.3))


#### Scaled model allows for comparison of parameter estimates 

> mod.scale<-lm(scale(breakdown)~scale(Fst)+	scale(haversine)+scale(thetawMP)+scale(MahalanobisD))

> summary(mod.scale)

Call:
lm(formula = scale(breakdown) ~ scale(Fst) + scale(haversine) + 
    scale(thetawMP) + scale(MahalanobisD))

Residuals:
     Min       1Q   Median       3Q      Max 
-1.69080 -0.45019  0.04024  0.46550  1.42864 

Coefficients:
                      Estimate Std. Error t value Pr(>|t|)    
(Intercept)         -2.510e-16  1.590e-01   0.000 1.000000    
scale(Fst)          -1.021e+00  2.821e-01  -3.620 0.001823 ** 
scale(haversine)     6.850e-01  2.180e-01   3.142 0.005362 ** 
scale(thetawMP)     -1.005e+00  2.507e-01  -4.007 0.000755 ***
scale(MahalanobisD) -4.300e-01  1.814e-01  -2.371 0.028491 *  
---
Signif. codes:  0 ‘***’ 0.001 ‘**’ 0.01 ‘*’ 0.05 ‘.’ 0.1 ‘ ’ 1

Residual standard error: 0.7792 on 19 degrees of freedom
Multiple R-squared:  0.4985,	Adjusted R-squared:  0.3929 
F-statistic: 4.721 on 4 and 19 DF,  p-value: 0.008151
